MAKEKDEWIDGETS(1)

makekdewidgets

NOM
makekdewidgets - Construeix connectors d'estri Qt(TM) des d'un fitxer de descripció d'estil ini.

SINOPSI

makekdewidgets [Opcions-Qt(TM)] [Opcions-KDE] fitxer

DESCRIPCIÓ

makekdewidgets genera els connectors d'estri de Qt(TM) a partir d'un fitxer de descripció d'estil ini.

OPCIONS

Arguments:

fitxer
    Fitxer d'entrada

Opcions:

-o <fitxer>
    Fitxer de sortida

-n <nom connector>
    Nom de la classe del connector a generar [WidgetsPlugin]

-g <grup>
    Nom de grup d'estri per omissió a mostrar al dissenyador [Custom]

-p <dir mapa de píxels>
    Mapes de píxels enclosos des d'un directori font

Opcions genèriques:

--help
    Mostra ajuda quant a les opcions

--help-qt
    Mostra les opcions específiques de Qt(TM)

--help-kde
    Mostra les opcions específiques de KDE

--help-all
    Mostra totes les opcions

--author
    Mostra informació de l'autor

-v, --version
    Mostra informació de la versió

--license
    Mostra informació de llicència

Opcions de KDE:

--caption <títol>
    Usa «títol» com a nom de la barra de títol

--icon <icona>
    Usa «icona» com a icona d'aplicació

--miniicon <icona>
    Usa «icona» com a icona d'aplicació

--config <nom_fitxer>
    Usa el fitxer de configuració alternatiu

--dcopserver <servidor>
    Usa el servidor DCOP especificat per «servidor»

--nocrashhandler
    Desactiva el gestor de fallades, per obtenir bolcats de nucli

--waitforwm
    Espera un gestor de finestres compatible amb WM_NET

--style <estil>
    Estableix l'estil de l'IGU per a l'aplicació

--geometry <geometria>
    Estableix la geometria del client a l'estri principal -consulteu el format de l'argument amb «man X»-

Opcions de Qt(TM):

--display <nompantalla>
    Usa la pantalla del servidor X «nompantalla»

--session <sessió_ID>
    Restaura l'aplicació per l'identificador de sessió donat

--cmap
    Fa que l'aplicació instal⋅li un mapa de color privat a una pantalla de 8-bits

--ncols <compte>
    Limita el nombre de colors assignats al cub de color a una pantalla de 8-bits, si l'aplicació està usant l'especificació de color QApplication::ManyColor

--nograb
    Li diu a Qt(TM) de no capturar mai el ratolí o el teclat

--sync
    Canvia a mode síncron per a la depuració

--fn, --font <nom_tipus_lletra>
    Defineix el tipus de lletra de l'aplicació

--bg, --background <color>
    Estableix el color de fons per omissió i una paleta d'aplicació (es calculen les ombres suaus i fosques)

--fg, --foreground <color>
    Estableix el color de primer pla per omissió

--btn, --button <color>
    Estableix el color per omissió del botó

--name <nom>
    Estableix el nom de l'aplicació

--title <títol>
    Estableix el títol de l'aplicació (capçalera)

--visual TrueColor
    Força a l'aplicació a usar visió TrueColor a una pantalla de 8-bits

--inputstyle <estil_d'entrada>
    Estableix l'estil d'entrada XIM (X Input Method). Els valors possibles són onthespot, overthespot, offthespot i root

--im <servidor_XIM>
    Estableix el servidor XIM

--noxim
    Deshabilita XIM

--reverse
    Emmiralla tota la disposició dels estris

VEURE TAMBÉ

http://developer.kde.org
    Lloc web El racó del desenvolupador del KDE

ERRORS

Si us plau, useu bugs.kde.org[1] per a informar d'errors, no envieu cap correu directament als autors.

AUTOR

Geiser, Ian <geiseri@kde.org>
    Autor.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org